Bug 152297 - Can't compile cyrus-sasl source rpm with MySQL 4.1 installed
Can't compile cyrus-sasl source rpm with MySQL 4.1 installed
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Conklin
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-27 15:05 EST by Kenneth Kalmer
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 13:17:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenneth Kalmer 2005-03-27 15:05:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
When trying to compile the cyrus-sasl-2.1.19-3.src.rpm with MySQL 4.1 support it does not add the mysql support claiming -lmysqlclient is broken. I first found some help in this forum (http://forums.high5.net/lofiversion/index.php/t2380.html) where they encountered the same problem using RHEL.

I tried to fix this by changing the spec file for the package. Unfortunately my knowledge of building RPM's is not to brag about.

ldd /usr/lib/sasl2/libsql.so reports no traces of libmysqlclient.so.

Everytime I got this error, very easily reproduced.

Version-Release number of selected component (if applicable):
cyrus-sasl-2.1.19-3

How reproducible:
Always

Steps to Reproduce:
1. Install MySQL 4.1 (RPM's) from http://dev.mysql.com
2. Install cyrus-sasl-2.1.19-3.src.rpm (from FC3)
3. cd /usr/src/redhat && rpmbuild -ba SPECS/cyrus-sasl.spec
4. rpm -Uvh RPMS/i386/cyrus-sasl-sql-2.1.19-3.rpm
5. ldd /usr/lib/sasl2/libsql.so
  

Actual Results:  (from ldd)
# ldd /usr/lib/sasl2/libsql.so
        libz.so.1 => /usr/lib/libz.so.1 (0xf6ecd000)
        libpq.so.3 => /usr/lib/libpq.so.3 (0xf6eb2000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xf6e9e000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0xf6e70000)
        libc.so.6 => /lib/tls/libc.so.6 (0xf6d46000)
        libssl.so.4 => /lib/libssl.so.4 (0xf6d12000)
        libcrypto.so.4 => /lib/libcrypto.so.4 (0xf6c2a000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0xf6bc4000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0xf6bc1000)
        libnsl.so.1 => /lib/libnsl.so.1 (0xf6bab000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0xf6b99000)
        /lib/ld-linux.so.2 (0xf6feb000)
        libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0xf6b85000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0xf6b63000)
        libdl.so.2 => /lib/libdl.so.2 (0xf6b5f000)

Expected Results:  to have libmysqlclient.so.X in the list of linked modules

Additional info:
Comment 1 Matthew Miller 2006-07-10 17:10:29 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Steve Conklin 2007-09-13 11:51:00 EDT
The libmysqlclient library is linked in the Fedora 7 packages:

[root@qro ~]# cat /etc/redhat-release 
Fedora release 7 (Moonshine)
[root@qro ~]# rpm -qa | grep cyrus-sasl
cyrus-sasl-devel-2.1.22-6
cyrus-sasl-sql-2.1.22-6
cyrus-sasl-lib-2.1.22-6
cyrus-sasl-plain-2.1.22-6
cyrus-sasl-sql-2.1.22-6
cyrus-sasl-lib-2.1.22-6
cyrus-sasl-devel-2.1.22-6
cyrus-sasl-2.1.22-6
cyrus-sasl-md5-2.1.22-6
[root@qro ~]# ldd /usr/lib/sasl2/libsql.so
        linux-gate.so.1 =>  (0xffffe000)
        libmysqlclient.so.15 => /usr/lib/mysql/libmysqlclient.so.15 (0xf7e77000)
        libpq.so.5 => /usr/lib/libpq.so.5 (0xf7e58000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xf7e44000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0xf7e16000)
        libc.so.6 => /lib/libc.so.6 (0xf7cc1000)
        libnsl.so.1 => /lib/libnsl.so.1 (0xf7ca8000)
        libm.so.6 => /lib/libm.so.6 (0xf7c7f000)
        libssl.so.6 => /lib/libssl.so.6 (0xf7c3a000)
        libcrypto.so.6 => /lib/libcrypto.so.6 (0xf7b07000)
        libz.so.1 => /lib/libz.so.1 (0xf7af4000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0xf7a60000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xf7a48000)
        /lib/ld-linux.so.2 (0x56555000)
        libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0xf7a1a000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0xf7a17000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0xf79f1000)
        libdl.so.2 => /lib/libdl.so.2 (0xf79eb000)
        libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0xf79e3000)
        libkeyutils.so.1 => /lib/libkeyutils.so.1 (0xf79e0000)
Comment 3 Kenneth Kalmer 2007-09-13 13:17:46 EDT
Guys, this is so old it doesn't make a difference anymore... (Opened 2005-03-27
15:05 EST), I'm closing it since I was the original reporter.
Comment 4 Steve Conklin 2007-09-13 15:46:47 EDT
No problem, I was just coming along behind to make sure this was actually fixed
in later releases.

Thanks

Note You need to log in before you can comment on or make changes to this bug.